# 图片优化工具 (Image Optimizer)

一个完全在浏览器中运行的强大图片优化工具，无需服务器支持，保护您的隐私。

## ✨ 特性

- 🖼️ **多格式支持**：支持 JPG、PNG、WebP 等多种图片格式之间的转换
- 🚀 **智能优化**：在保持图片质量的同时有效减小文件大小
- 🔒 **隐私优先**：所有处理都在浏览器中完成，不会将数据发送到服务器
- 🌓 **深色模式**：支持浅色/深色主题切换，提供舒适的使用体验
- 📱 **响应式设计**：完美适配桌面端和移动端设备
- ⚡ **快速处理**：采用现代 Web 技术，提供快速的图片处理体验

## 🚀 快速开始

### 环境要求

- Node.js >= 16
- npm >= 8

### 安装

```bash
# 克隆项目
git clone https://ckk.photo8.site/Snowz/image-optimizer.git

# 进入项目目录
cd image-optimizer

# 安装依赖
npm install

# 启动开发服务器
npm run dev
```

### 构建

```bash
# 构建生产版本
npm run build
```

## 🛠️ 技术栈

- [Vue 3](https://vuejs.org/) - 渐进式 JavaScript 框架
- [Vite](https://vitejs.dev/) - 下一代前端构建工具
- [TypeScript](https://www.typescriptlang.org/) - JavaScript 的超集
- [Tailwind CSS](https://tailwindcss.com/) - 实用优先的 CSS 框架

## 📝 使用说明

1. 打开应用后，您可以通过拖拽或点击上传按钮来选择需要处理的图片
2. 选择目标格式和压缩质量
3. 点击"开始处理"按钮
4. 处理完成后，可以预览和下载优化后的图片

## 🤝 贡献指南

欢迎提交 Pull Request 或创建 Issue！

1. Fork 本仓库
2. 创建您的特性分支 (`git checkout -b feature/AmazingFeature`)
3. 提交您的更改 (`git commit -m 'Add some AmazingFeature'`)
4. 推送到分支 (`git push origin feature/AmazingFeature`)
5. 打开一个 Pull Request

## 📄 开源协议

本项目基于 MIT 协议开源 - 查看 [LICENSE](LICENSE) 文件了解更多细节 